<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Trover Saves The Universe</Series>
  <Number>1</Number>
  <Web>https://www.comixology.com/Trover-Saves-The-Universe-1-of-5/digital-comic/947429</Web>
  <Summary>For fans of Rick and Morty and Mega Man! 

A new limited series filled with mystery, murder, and mayhem from fan-favorite author TESS STONE, set in the world of Rick and Morty co-creator JUSTIN ROILAND’s hit video game series Trover Saves the Universe! 

Welcome to the ICJ—Important Cosmic Jobs—where the boss ranks employees, and at the end of each month, the worst employee literally gets the axe. It’s…not a great gig.  

But when ICJ’s top eyehole monster winds up dead, the company’s most inept (and rival) employees, Klover and Bo, are falsely accused of his murder and hunted by the Space Cops! 

Now they must clear their names and unravel a conspiracy that reaches the very top…that is, if they don’t kill each other first!</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB947429], [ASINB096GC27FZ]</Notes>
  <Publisher>Image</Publisher>
  <Imprint>Image - Skybound</Imprint>
  <Genre>Science Fiction, Comedy</Genre>
  <PageCount>31</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
